# Information about the task runner can be found here:
# https://taskfile.dev

version: '3'

tasks:
  default: 
    cmds:
      - task --list
    silent: true
    
  commit:
    silent: true
    desc: Commit changes to the repository.
    aliases:
      - c
    cmds:
      - do-commit    
      
  run-dev:
    silent: true
    desc: Start and run the development server
    cmds:
      - run-development
      
  run-showroom:
    silent: true
    desc: Start and run the showroom server
    cmds:
      - run-showroom      
       
  build-and-publish-showroom:
    silent: true
    desc: Build the showroom to dist/showroom and publish it to the s3 bucket
    cmds:
      - build-and-publish-showroom
      
  create-new-showroom-page: 
    silent: true
    desc: Create a new showroom page
    cmds:
      - create-new-showroom-page {{.CLI_ARGS}}

  run-theme-generator:
    silent: true
    desc: Start and run the theme generator
    cmds:
      - run-theme-generator

  create-issue:
    silent: true
    desc: open an issue in gitlab and create a file in the issues folder
    cmds:
      - create-issue

  build-doc:
    silent: true
    desc: Build the documentation to dist/doc
    aliases:
      - bd
    cmds:
      - build-doc
      
  publish-doc:
    silent: true
    desc: Publish the documentation to dist/doc
    aliases:
      - bpd
    cmds:
      - publish-doc
      
  run-tests:
    silent: true
    desc: Run the tests
    aliases:
      - rt
    cmds:
      - run-tests
      
  run-web-tests:
    silent: true
    desc: Run the tests
    aliases:
      - rwt
    cmds:
      - run-web-tests      
      
  format-and-lint-code:
    silent: true
    desc: Format and lint the code
    aliases:
      - flc
    cmds:
      - format-and-lint-code

  create-new-component-class:
    silent: true
    desc: Create a new component class
    aliases:
      - cnc
    cmds:
      - create-new-component-class {{.CLI_ARGS}}

  build-and-publish:
    silent: true
    desc: Build the app and publish it to the npm registry
    aliases:
      - bp
    cmds:
      - build-and-publish

  build-stylesheets:
    silent: true
    desc: Build the stylesheets javascript files
    aliases:
      - bs
    cmds:
      - build-stylesheets